Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class TXIGatedStationsTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.ka2ddo.yaac.gui.TXIGatedStationsTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel, Digipeater.TXIGatedStationStatusListener, ColumnSizingTableModel

    public class TXIGatedStationsTableModel

extends javax.swing.table.AbstractTableModel
implements Digipeater.TXIGatedStationStatusListener, ColumnSizingTableModel

This class defines a TableModel for viewing the status of stations TX-IGated by this station.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`TXIGatedStationsTableModel()`

Method Summary
`java.lang.Class<?>` | `getColumnClass(int columnIndex)` Returns the data Class for the specified column.
`int` | `getColumnCount()` Returns the number of columns in the model.
`java.lang.String` | `getColumnName(int column)` Returns the localized name for the column.
`int` | `getColumnWidth(int columnIndex)` Specifies the default initial width of a column from this model.
`int` | `getRowCount()` Returns the number of rows in the model.
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)` Returns the value for the cell at `columnIndex` and `rowIndex`.
`boolean` | `isSizeToFit(int columnIndex)` Specifies whether setWidthToFit() should be enabled on this column
`void` | `txIGatedStationAdded(int index)` Inform listener that a station has been added to the list of I-gated stations.
`void` | `txIGatedStationDeleted(int index)` Inform listener that a station is no longer being I-gated by this station (timed out).
`void` | `txIGatedStationUpdated(int index)` Inform listener that a station has been forwarded again.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, isCellEditable, removeTableModelListener, setValueAt`

Constructor Detail

### TXIGatedStationsTableModel

    public TXIGatedStationsTableModel()

Method Detail

### getColumnClass

    public java.lang.Class<?> getColumnClass(int columnIndex)

  Returns the data Class for the specified column.

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `columnIndex` - the column being queried
  Returns:
    the Class object for the column's data

### getColumnName

    public java.lang.String getColumnName(int column)

  Returns the localized name for the column.

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `column` - the column being queried
  Returns:
    a string containing the name of `column`

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the model.

  Specified by:
    `getColumnCount` in interface `javax.swing.table.TableModel`
  Returns:
    the number of columns in the model
  See Also:
    `getRowCount()`

### getRowCount

    public int getRowCount()

  Returns the number of rows in the model. A `JTable` uses this method to determine how many rows it should display. This method should be quick, as it is called frequently during rendering.

  Specified by:
    `getRowCount` in interface `javax.swing.table.TableModel`
  Returns:
    the number of rows in the model
  See Also:
    `getColumnCount()`

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Returns the value for the cell at `columnIndex` and `rowIndex`.

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`
  Parameters:
    `rowIndex` - the row whose value is to be queried
    `columnIndex` - the column whose value is to be queried
  Returns:
    the value Object at the specified cell

### getColumnWidth

    public int getColumnWidth(int columnIndex)

  Specifies the default initial width of a column from this model. Should only be queried at table creation time.

  Specified by:
    `getColumnWidth` in interface `ColumnSizingTableModel`
  Parameters:
    `columnIndex` - int index of the model's column whose width should be obtained
  Returns:
    the width, in the same units used by the TableColumn class's setWidth() method, or -1 to indicate the width should not be forced

### isSizeToFit

    public boolean isSizeToFit(int columnIndex)

  Specifies whether setWidthToFit() should be enabled on this column

  Specified by:
    `isSizeToFit` in interface `ColumnSizingTableModel`
  Parameters:
    `columnIndex` - int index of the model's column whose width should be obtained
  Returns:
    boolean true if sizeWidthToFit() should be called on this column

### txIGatedStationAdded

    public void txIGatedStationAdded(int index)

  Description copied from interface: `Digipeater.TXIGatedStationStatusListener`
  Inform listener that a station has been added to the list of I-gated stations.

  Specified by:
    `txIGatedStationAdded` in interface `Digipeater.TXIGatedStationStatusListener`
  Parameters:
    `index` - position in list of I-gated stations

### txIGatedStationUpdated

    public void txIGatedStationUpdated(int index)

  Description copied from interface: `Digipeater.TXIGatedStationStatusListener`
  Inform listener that a station has been forwarded again.

  Specified by:
    `txIGatedStationUpdated` in interface `Digipeater.TXIGatedStationStatusListener`
  Parameters:
    `index` - position in list of I-gated stations

### txIGatedStationDeleted

    public void txIGatedStationDeleted(int index)

  Description copied from interface: `Digipeater.TXIGatedStationStatusListener`
  Inform listener that a station is no longer being I-gated by this station (timed out).

  Specified by:
    `txIGatedStationDeleted` in interface `Digipeater.TXIGatedStationStatusListener`
  Parameters:
    `index` - position in list of I-gated stations

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD